Sync Cluster Health
POST
/intra-cluster/sync-health
const url = 'https://sylve.lan:8181/api/intra-cluster/sync-health';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '[{"api":"example","cpu":1,"cpuUsage":1,"disk":1,"diskUsage":1,"guestIds":[1],"hostname":"example","memory":1,"memoryUsage":1,"nodeUuid":"example","status":"example","sylveVersion":"example"}]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/intra-cluster/sync-health \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '[ { "api": "example", "cpu": 1, "cpuUsage": 1, "disk": 1, "diskUsage": 1, "guestIds": [ 1 ], "hostname": "example", "memory": 1, "memoryUsage": 1, "nodeUuid": "example", "status": "example", "sylveVersion": "example" } ]'Internal endpoint used by the Raft Leader to broadcast cluster health to followers
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Array of node health states
Media typeapplication/json
Array<object>
object
api
string
cpu
integer
cpuUsage
number
disk
integer
diskUsage
number
guestIds
Array<integer>
hostname
string
memory
integer
memoryUsage
number
nodeUuid
string
status
string
sylveVersion
string
Examplegenerated
[ { "api": "example", "cpu": 1, "cpuUsage": 1, "disk": 1, "diskUsage": 1, "guestIds": [ 1 ], "hostname": "example", "memory": 1, "memoryUsage": 1, "nodeUuid": "example", "status": "example", "sylveVersion": "example" }]Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}